/*
 *  SokoBan, a Sokoban game.
 *  Copyright (C) 2008  Colomban Wendling <ban@herbesfolles.org>
 * 
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#ifndef __SET_H__
#define __SET_H__


#define MAX_LEVELS 64
#define SET_MAXLEN MAX_LEVELS*256

char* set_getNthLevel (const unsigned int id);
char* set_getLastLevel (void);

char* set_getLevelFromNameWithExt (const char* name);
char* set_getLevelFromName (const char* name);

#define set_getFirstLevel() set_getNthLevel (0)


int set_openFromStream (FILE *fp);
int set_open (const char *filename);
void set_close (void);

MyBool set_write (const char *filename);
MyBool set_writeToStream (FILE *stream);

MyBool set_appendLevel (const char *level);

int set_loadLevel (const unsigned int id);
int set_loadLastLevel (void);

MyBool set_levelExists (const char *levelname);


#endif /* guard */
